#
# Cookbook Name:: chef_changereport_handler
# Recipe:: default
#
# Copyright 2015, http://DennyZhang.com
#
# Apache License, Version 2.0
#
working_dir = node['chef_changereport_handler']['working_dir']
[working_dir, "#{working_dir}/handlers"].each do |x|
  directory x do
    owner 'root'
    group 'root'
    mode 00755
    action :create
  end
end

template "#{working_dir}/handlers/changereport_handler.rb" do
  source 'changereport_handler.rb.erb'
  action :create
end

include_recipe 'chef_handler::default'

chef_handler 'MyChefReport::ChangReportHandler' do
  source "#{working_dir}/handlers/changereport_handler.rb"
  action :enable
end

logrotate_app 'changereport_chef_handler' do
  cookbook 'logrotate'
  path "#{working_dir}/history.txt"
  frequency 'monthly'
  rotate 7
  create '644 root adm'
end
